---
title: 'Hoja de Ruta 4T 2020'
date: '14-10-2020 22:00'
media_order: road-q4-2020.png
taxonomy:
  category: news
  tag: [disroot, noticias, hoja de ruta]
body_classes: 'single single-post'

---
Hola, de nuevo. Estamos a la vuelta de la esquina de 2021, que esperamos sea mucho mejor que la pesadilla que ha sido este año.

Otra vez, ha pasado un tiempo desde la última publicación. De alguna forma, las semanas están pasando como días este año y en la bruma de todo el trabajo, tanto en **Disroot** como en nuestras vidas profesionales y personales, es difícil seguir el rastro de todo y por alguna razón no hemos logrado estar más activos en el blog. Culpemos a la Covid por ello mientras podamos. :)

Como siempre, tenemos montones de cosas e ideas nuevas que queríamos compartir con ustedes. Empezando por la **Hoja de ruta 4T** (*Cuarto trimestre*). Como es habitual, muy ambiciosa dada la carga de trabajo actual. Pero esta vez no nos vamos a deprimir por no cumplir con los plazos. Es más un indicador de lo que tenemos que hacer antes que intentar el trajinar constante que hemos hecho anteriormente (y que ha fracasado). Hemos dividido la hoja de ruta en temas específicos en los que queremos enfocarnos:

* **Migración a Roundcube**: Anunciado hace tiempo y algo que no hemos logrado hacer en los últimos meses. Nos hemos fijado la meta de migrar en algún momento de aquí a final de año. Roundcube es el webmail sobre el que hemos publicado hace algún tiempo ([aquí el post](https://disroot.org/es/blog/roundcube))

* **Mejoras en la administración**: Queremos concentrarnos en mejorar la forma en que lidiamos con las "solicitudes personalizadas", como la vinculación de dominio, los alias, almacenamiento extra, foros, etc. Mejorar el proceso, hacerlo más robusto y sencillo, tanto desde la perspectiva de los usuarios y usuarias así como también (y más importante aún) desde la perspectiva de la administración. Además, dirigir la atención a una cantidad de cosas relativas a la contabilidad, la administración, la creación de resúmenes financieros y otras cuestiones que, así como son necesarias e importantes, son tareas muy molestas que consumen tiempo y que algunos de nosotros (Antilopa) tienen que cargar sobre los hombros y apenas nos deja algo de tiempo para cosas más entretenidas con Disroot. Estamos para disfrutarlo y el tedio debería ser mínimo. Por lo tanto, todos queremos liberar a Antilopa de la función, en la que tiene que luchar con las cosas administrativas diarias, automatizar todo tanto como sea posible, pero también hacerlo más sencillo y fluido de cara a las usuarias y usuarios.

* **Cifrado de buzón**: A principios de año nos fijamos la meta de empezar a trabajar en el cifrado de los buzones. Después de algunas investigaciones, nos hemos decidido por el *cifrado de extremo a extremo* en oposición al *cifrado del lado del servidor* y también hemos decidido qué vamos a utilizar para ello. Desarrollaremos nuestra idea sobre la solución **gpg-mailgate** que parece no estar mantenida desde hace tiempo, pero que encontramos como una solución casi completa. Planeamos tener una POC ([*Prueba de Concepto*](https://es.wikipedia.org/wiki/Prueba_de_concepto)) en funcionamiento antes de fin de año. Puedes seguir el progreso del proyecto [aquí](https://git.disroot.org/Disroot/gpg-mailgate).

* **Integración de Miembros del Equipo**: Incorporar a Fede y Meaz es un proceso en curso que requiere entrenamientos, crear procedimientos, scripts y documentación para aligerar la carga sobre Muppeth y Antilopa y permitirnos más colaboración. Esto también nos posibilita reaccionar más rápido a problemas, procesamiento de solicitudes personalizadas, y tener más tiempo para desarrollar más cosas y mejorar en general a **Disroot**.

* **Ansible**: En los últimos meses hemos trabajado bastante en algunos de los roles de [ansible](https://es.wikipedia.org/wiki/Ansible_(software) y ahora estamos ejecutando muchos de ellos en producción, tratando de mantenerlo así y evitar ajustes de configuración manual particulares. Esto nos posibilita tener una visión más clara de la configuración, ajustes unificados a través de todos los servidores, y nos permitirá implementar el software de manera más rápida y automatizada. Además, queremos publicarlos este año para que otras organizaciones y personas puedan usarlos y de esa manera apoyar el desarrollo de más nodos independientes como Disroot, y contribuir a la descentralización de la Internet.

Parece ambicioso, suena ambicioso y ciertamente lo es. Haremos todo lo posible para cumplir al menos algunas de las tareas y adelantar otras. Si logramos hacer todo, nos merecemos una gran palmada en la espalda. Y un pastel de fresa :)

# Descartamos SCRUM - Experimento interno para darnos un breve respiro / Alimentando a Nextcloud Deck

Bien. Este tiene un título muy largo pero la idea es bastante simple. Desde los comienzos de Disroot hemos incorporado ideas del método de desarrollo continuo en nuestro proceso. Hemos trabajado en períodos de cuatro (o dos) semanas en las que hacíamos una lista de tareas a partir de la pila de pendientes y tratábamos de terminarlas. Esta manera de trabajar, si bien se ajusta a situaciones en las que te puedes dedicar a tiempo completo a un proyecto y es muy efectiva, para nosotros desde hace un rato se ha vuelto una especie de pesadilla auto generada. Sencillamente no pudimos mantenernos al día con nuestra planificación. Desde luego que se debió a una mala planificación y gestión, pero para un grupo tan pequeño de personas, trabajando en su tiempo libre, además de mantener reuniones de coordinación, de sincronización, hacer de ejecutores pero también de facilitadores y clientes (*Scrum masters y Product Owners respectivamente en la jerga de esta metodología*) ha agotado nuestra capacidad y ha afectado la moral del equipo. Así que decidimos que tal vez no deberíamos continuar en de esta manera, sino más bien buscar formas alternativas de planificación y colaboración.

Desde el [reciente post](https://disroot.org/es/blog/deck) de **Avg_joe** sobre **Deck**, estábamos esperando probarlo un poco más. Y qué mejor que hacerlo en un proyecto como el nuestro. Así que decidimos que por el tiempo que resta de esta hoja de ruta estaremos utilizando Deck para coordinar el trabajo en Disroot. Lamentablemente, los tableros de Deck no pueden compartirse públicamente, pero pensamos que eso cambiará pronto. Y como Deck no implementa ideas del método Scrum y es más bien un simple tablero kanban (*una forma de ayuda visual muy utilizada en el ámbito del desarrollo tecnológico*), también decidimos abandonar completamente el Scrum.

Todavía nos reunimos cada dos semanas para discutir el progreso actual, conversar ideas y compartir problemas, pero no nos concentramos tanto en la parte administrativa de la reunión (discutir los pendientes, preparar los próximos sprints, etc), no al menos de la manera y al ritmo alocados que solíamos hacerlo. Esto parece estar dándonos un poco de espacio para respirar y aunque estamos ocupadísimos con Disroot como siempre, ya no parece que estamos corriendo atrás de la zanahoria (continuamente tratando de finalizar el sprint en curso mientras el nuevo está casi encima). El tiempo dirá si nos sentimos mejor con esta perspectiva, pero ya el cambio mismo estaba siendo necesario para el bienestar del equipo.
